Skip to content

tools.refreshMcp

Re-read an MCP server’s tool list.

Reference

POST/api/v1/tools/{tool_uuid}/mcp/refresh

Auth
API key in X-API-Key
Content
none
Returns
200 · McpRefreshResponse

Re-discover an MCP tool's server catalog and overwrite the cached ``definition.config.discovered_tools``. Server down → 200 with error (cache not overwritten on transient failure).

Arguments

ArgumentInTypeRequiredDescription
tool_uuidpathstringrequired

Example request

curl -X POST "https://api.decibyl.ai/api/v1/tools/<tool_uuid>/mcp/refresh" \
  -H "X-API-Key: dcb_your_key"

Response

{
  "tool_uuid": "string",
  "discovered_tools": [
    {}
  ],
  "error": "string"
}

Errors

StatusWhen
404Not found
422Validation Error